commit: 12b3263e045ddcaa321e51e93625f42cd906abdf
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 21:30:26 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 22:23:59 2018 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=12b3263e
kde-plasma/kinfocenter: Reduce pkg_postinst spam
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/kinfocenter/kinfocenter-5.14.49.9999.ebuild | 14 +++++++++-----
kde-plasma/kinfocenter/kinfocenter-9999.ebuild | 16 ++++++++++------
2 files changed, 19 insertions(+), 11 deletions(-)
diff --git a/kde-plasma/kinfocenter/kinfocenter-5.14.49.9999.ebuild
b/kde-plasma/kinfocenter/kinfocenter-5.14.49.9999.ebuild
index 6cf8e420f1..be6e870b36 100644
--- a/kde-plasma/kinfocenter/kinfocenter-5.14.49.9999.ebuild
+++ b/kde-plasma/kinfocenter/kinfocenter-5.14.49.9999.ebuild
@@ -87,10 +87,14 @@ src_install() {
}
pkg_postinst() {
- if ! has_version "net-fs/nfs-utils"; then
- elog "Installing net-fs/nfs-utils will enable the NFS
information module."
- fi
- if ! has_version "net-fs/samba"; then
- elog "Installing net-fs/samba will enable the Samba status
information module."
+ kde5_pkg_postinst
+
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ if ! has_version "net-fs/nfs-utils"; then
+ elog "Installing net-fs/nfs-utils will enable the NFS
information module."
+ fi
+ if ! has_version "net-fs/samba"; then
+ elog "Installing net-fs/samba will enable the Samba
status information module."
+ fi
fi
}
diff --git a/kde-plasma/kinfocenter/kinfocenter-9999.ebuild
b/kde-plasma/kinfocenter/kinfocenter-9999.ebuild
index ee9401e6cf..2cfbd78d4e 100644
--- a/kde-plasma/kinfocenter/kinfocenter-9999.ebuild
+++ b/kde-plasma/kinfocenter/kinfocenter-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=6
KDE_HANDBOOK="true"
inherit kde5
-DESCRIPTION="A utility that provides information about a computer system"
+DESCRIPTION="Utility providing information about the computer hardware"
HOMEPAGE="https://www.kde.org/applications/system/kinfocenter/"
SRC_URI+=" https://www.gentoo.org/assets/img/logo/gentoo-3d-small.png ->
glogo-small.png"
KEYWORDS=""
@@ -87,10 +87,14 @@ src_install() {
}
pkg_postinst() {
- if ! has_version "net-fs/nfs-utils"; then
- elog "Installing net-fs/nfs-utils will enable the NFS
information module."
- fi
- if ! has_version "net-fs/samba"; then
- elog "Installing net-fs/samba will enable the Samba status
information module."
+ kde5_pkg_postinst
+
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ if ! has_version "net-fs/nfs-utils"; then
+ elog "Installing net-fs/nfs-utils will enable the NFS
information module."
+ fi
+ if ! has_version "net-fs/samba"; then
+ elog "Installing net-fs/samba will enable the Samba
status information module."
+ fi
fi
}